get file = 'ch.sav'.

select if (AN1 < 99.0 and AN2 < 999.0).

graph 
  /scatterplot(bivar)=AN2 with AN1
  /missing=listwise
  /title = 'Figure 1. Scatterplot of weight (Y-axis) by height (x-axis), unweighted'.

* calculate the CMC date of interview.
compute cmcdoic = (UF8Y - 1900)*12 + UF8M.
variable label cmcdoic "Date of interview child (CMC)".

* set random number seed.
set seed = 1003.

* calculate CMC date of birth and age (in months).
do if (UF10Y < 9996 and UF10M < 96).
+ compute cdob = (UF10Y - 1900)*12 + UF10M.
else if (UF10Y < 9996).
+ compute aldob = cmcdoic - (UF11*12) - 11.
+ compute audob = cmcdoic - (UF11*12) - 0.
+ compute ldob = (UF10Y - 1900)*12 + 1.
+ compute udob = (UF10Y - 1900)*12 + 12.
+ if (ldob >= aldob & ldob <= audob) cdob = trunc(rv.uniform(ldob,audob)).
+ if (aldob >= ldob & aldob <= udob) cdob = trunc(rv.uniform(aldob,udob)).
+ if (ldob > audob | aldob > udob) cdob = trunc(rv.uniform(aldob,audob)).
else.
+ compute aldob = cmcdoic - (UF11*12) - 11.
+ compute audob = cmcdoic - (UF11*12) - 0.
+ compute cdob = trunc(rv.uniform(aldob,audob)).
end if.
if (cmcdoic - cdob = 60) cdob = cdob + 1.
if (cdob <> 9999) cage = cmcdoic - cdob.
variable label cage "Age (months)".
variable label cdob "Date of birth (CMC)".
missing values cdob (9999).
format cage (f3.0).

graph 
  /scatterplot(bivar)=cage with AN1
  /missing=listwise
  /title = 'Figure 2. Scatterplot of weights of children by age in months, unweighted'.


graph 
  /scatterplot(bivar)=cage with AN2
  /missing=listwise
  /title = 'Figure 3. Scatterplot of heights of children by age in months, unweighted'.


get file = 'hl.sav'.

* Select males.
compute filter_$=(HL4 = 1).
filter by filter_$.

graph
  /line(simple)=count by HL5
  /title= 'Figure 4. Number of male household population (Y-axis) by single ages (X-axis)'.


* Select females.
use all.
compute filter_$=(HL4 = 2).
filter by filter_$.

graph
  /line(simple)=count by HL5
  /title= 'Figure 5. Number of female household population (Y-axis) by single ages (X-axis)'.

new file.