get file = 'hh.sav'.

select if (HH9 = 1).

weight by hhweight.

recode SI1 (8,9 =100) (else  = 0) into msalt.
variable label msalt "Salt testing".

tables
  /format = zero
  /observation= msalt
  /table=msalt by (statistics)
  /statistics
    mean(msalt (F5.1) 'Percent with missing information')
    validn(msalt (F5.0) 'Number')
  /title
    "Table DQ.6: Percentage of observations missing information for selected questions and indicators (weighted), Uzbekistan, 2006".


get file = 'wm.sav'.

select if (WM7 = 1).

weight by wmweight.

compute mwmb = 0.
compute mwmyb = 0.
if ((WM8M = 98 or WM8M = 99) and WM8Y < 9998) mwmb = 100.  
if (WM8M >= 98 and WM8Y >= 99999) mwmyb = 100.  
variable label mwmb "Month of birth only".
variable label mwmyb "Month and year of birth".

do if (CM1 = 1).

+ compute mwmfb = 0.
+ compute mwmyfb = 0.
+ if (CM2AM  >= 98  and CM2AY  < 9998) mwmfb = 100.  
+ if (CM2AM  >= 98 and CM2AY  >= 9998) mwmyfb = 100.  
+ recode CM2B (98,99 = 100) (sysmis = copy) (else = 0) into cyears.
+ variable label mwmfb "Month of first birth only".
+ variable label mwmyfb "Month and year of first birth".
+ variables labels cyears "Completed years since first birth".

+ compute mwmlb   = 0.
+ compute mwmylb = 0.
+ if (CM11M >= 98 and CM11Y < 9998) mwmlb = 100.  
+ if (CM11M >= 98 and CM11Y >= 9998) mwmylb = 100.  
+ variable label mwmlb "Month of last birth only".
+ variable label mwmylb "Month and year of last birth".

end if.

do if (sysmis(MA3) or MA3 <> 3).

+ compute mwmfm   = 0.
+ compute mwyfm = 0.
+ if (MA6M >= 98 and MA6Y < 9998) mwmfm = 100.  
+ if (MA6M >= 98 and MA6Y >= 9998) mwyfm = 100.  
+ recode MA8 (98,99 = 100) (else = 0) into agefm.
+ variable label mwmfm "Month of first marriage only".
+ variable label mwyfm "Month and year of first marriage ".
+ variable label agefm "Age at first marriage/union".

end if.

do if (WM9 >= 15 and WM9 <= 24).

+ compute agefi = 0.
+ compute timesli = 0.
+ recode SB1 (98,99 = 100) (else = 0) into agefi.  
+ recode SB2N (98,99 = 100) (sysmis = copy) (else = 0) into timesli.  
+ variable label agefi "Age at first intercourse".
+ variable label timesli "Time since last intercourse".

end if.

tables
  /format = zero
  /observation= mwmb mwmyb mwmfb mwmyfb cyears mwmlb mwmylb mwmfm mwyfm agefm agefi timesli
  /table= mwmb + mwmyb + mwmfb + mwmyfb + cyears + mwmlb + mwmylb + mwmfm + mwyfm + agefm + agefi+ timesli by (statistics)
  /statistics
    mean(mwmb (F5.1) 'Percent with missing information')
    validn(mwmb (F5.0) 'Number')
    mean(mwmyb (F5.1) 'Percent with missing information')
    validn(mwmyb (F5.0) 'Number')
    mean(mwmfb (F5.1) 'Percent with missing information')
    validn(mwmfb (F5.0) 'Number')
    mean(mwmyfb (F5.1) 'Percent with missing information')
    validn(mwmyfb (F5.0) 'Number')
    mean(cyears (F5.1) 'Percent with missing information')
    validn(cyears (F5.0) 'Number')
    mean(mwmlb (F5.1) 'Percent with missing information')
    validn(mwmlb (F5.0) 'Number')
    mean(mwmylb (F5.1) 'Percent with missing information')
    validn(mwmylb (F5.0) 'Number')
    mean(mwmfm (F5.1) 'Percent with missing information')
    validn(mwmfm (F5.0) 'Number')
    mean(mwyfm (F5.1) 'Percent with missing information')
    validn(mwyfm (F5.0) 'Number')
    mean(agefm (F5.1) 'Percent with missing information')
    validn(agefm (F5.0) 'Number')  
    mean(agefi (F5.1) 'Percent with missing information')
    validn(agefi (F5.0) 'Number')
    mean(timesli (F5.1) 'Percent with missing information')
    validn(timesli (F5.0) 'Number')
  /title
    "Table DQ.6: Percentage of observations missing information for selected questions and indicators (weighted), Country, Year".


get file = 'ch.sav'.

select if (UF9 = 1).

weight by chweight.

compute mmb = 0.
compute myb  = 0.
if (UF10M >= 98 and UF10Y < 9998) mmb = 100.
if (UF10M >= 98 and UF10Y >= 9998) myb = 100.
variable label mmb "Month of birth under-5 only".
variable label myb "Month and year of birth under-5".

recode AN1 (99.0 thru 99.9 = 100) (else = 0) into mweight.
variable label mweight "Weight".

recode AN2 (999.0 thru 999.9 = 100) (else = 0) into mheight.
variable label mheight "Height".

compute mhw = 0.
if (mweight = 100 or mheight = 100) mhw  = 100.
variables labels mhw "Height or weight".

tables
  /format = zero
  /observation= mmb myb mweight mheight mhw
  /table= mmb+ myb + mweight + mheight + mhw  by (statistics)
  /statistics
    mean(mmb (F5.1) 'Percent with missing information')
    validn(mmb (F5.0) 'Number')
    mean(myb (F5.1) 'Percent with missing information')
    validn(myb (F5.0) 'Number')
    mean(mweight (F5.1) 'Percent with missing information')
    validn(mweight (F5.0) 'Number')
    mean(mheight (F5.1) 'Percent with missing information')
    validn(mheight (F5.0) 'Number')
    mean(mhw (F5.1) 'Percent with missing information')
    validn(mhw (F5.0) 'Number')
  /title
    "Table DQ.6: Percentage of observations missing information for selected questions and indicators (weighted), Country, Year".

new file.
