* Runs mortality for each background characteristic.

*Male.
Title 'Male'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

*total children ever born.
compute ceb = 0.
if (CM3 = 1) ceb = ceb + CM4A.
if (CM5 = 1) ceb = ceb + CM6A.
if (CM7 = 1) ceb = ceb + CM8A.

*number of dead children.
do if (CM7 = 1).
+ compute deadkids = CM8A.
else.
+ compute deadkids = 0.
end if.

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 1.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if (wage  = 3  or  wage  = 4).
compute sex = 1.

aggregate outfile = 'tmpresult.sav'
  /break sex
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).


*----------------------------------------------------------------.
*Female.
Title 'Female'.

get file='c:\mics\spss\WM.sav'.
select if (WM7 = 1).

*total children ever born.
compute ceb = 0.
if (CM3 = 1) ceb = ceb + CM4B.
if (CM5 = 1) ceb = ceb + CM6B.
if (CM7 = 1) ceb = ceb + CM8B.

*number of dead children.
do if (CM7 = 1).
+ compute deadkids = CM8B.
else.
+ compute deadkids = 0.
end if.

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 2.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if (wage  = 3  or  wage  = 4).
compute sex = 2.

aggregate outfile = 'tmp.sav'
  /break sex
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.


*----------------------------------------------------------------.
*Region 1.
Title 'Region 1'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH7 = 1).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if (wage  = 3  or  wage  = 4).
compute HH7 = 1.

aggregate outfile = 'tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Region 2.
Title 'Region 2'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH7 = 2).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if (wage  = 3  or  wage  = 4).
compute HH7 = 2.

aggregate outfile = 'tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Region 3.
Title 'Region 3'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH7 = 3).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if (wage  = 3  or  wage  = 4).
compute HH7 = 3.

aggregate outfile = 'tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Region 4.
Title 'Region 4'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH7 = 4).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if (wage  = 3  or  wage  = 4).
compute HH7 = 4.

aggregate outfile = 'tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Region 5.
Title 'Region 5'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH7 = 5).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if (wage  = 3  or  wage  = 4).
compute HH7 = 5.

aggregate outfile = 'tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Region 6.
Title 'Region 6'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH7 = 6).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if(wage  = 3  or  wage  = 4).
compute HH7 = 6.

aggregate outfile = 'tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.


*----------------------------------------------------------------.
*Urban.
Title 'Urban'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH6 = 1).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if(wage  = 3  or  wage  = 4).
compute hh6 = 1.

aggregate outfile = 'tmp.sav'
  /break hh6
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Rural.
Title 'Rural'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH6 = 2).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if (wage  = 3  or  wage  = 4).
compute hh6 = 2.

aggregate outfile = 'tmp.sav'
  /break hh6
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Mother's education.
* Six women with None/Primary/Missing education level excluded from analysis. 
Title 'Incomplete Secondary'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (melevel = 3).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if (wage  = 3  or  wage  = 4).
compute melevel = 3.

aggregate outfile = 'tmp.sav'
  /break melevel
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Mother's education .
Title 'Complete Secondary'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (melevel = 4).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if (wage  = 3  or  wage  = 4).
compute melevel = 4.

aggregate outfile = 'tmp.sav'
  /break melevel
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Mother's education.
Title 'Secondary special'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (melevel = 5).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if (wage  = 3  or  wage  = 4).
compute melevel = 5.

aggregate outfile = 'tmp.sav'
  /break melevel
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Mother's education.
Title 'Higher education'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).
*recode melevel (6 = 5).
compute filter_$ =  (melevel = 6).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if (wage  = 3  or  wage  = 4).
compute melevel = 6.

aggregate outfile = 'tmp.sav'
  /break melevel
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.
*----------------------------------------------------------------.
*Wealth index quintiles.
Title 'Poorest'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (Wlthind5 = 1).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if (wage  = 3  or  wage  = 4).
compute Wlthind5 = 1.

aggregate outfile = 'tmp.sav'
  /break Wlthind5
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Wealth index quintiles..
Title 'Second'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (Wlthind5 = 2).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if (wage  = 3  or  wage  = 4).
compute Wlthind5 = 2.

aggregate outfile = 'tmp.sav'
  /break Wlthind5
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Wealth index quintiles.
Title 'Middle'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (Wlthind5 = 3).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if (wage  = 3  or  wage  = 4).
compute Wlthind5 = 3.

aggregate outfile = 'tmp.sav'
  /break Wlthind5
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.


*----------------------------------------------------------------.
*Wealth index quintiles.
Title 'Fourth'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (Wlthind5 = 4).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if (wage  = 3  or  wage  = 4).
compute Wlthind5 = 4.

aggregate outfile = 'tmp.sav'
  /break Wlthind5
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Wealth index quintiles.
Title 'Richest'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (Wlthind5 = 5).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if (wage  = 3  or  wage  = 4).
compute Wlthind5 = 5.

aggregate outfile = 'tmp.sav'
  /break Wlthind5
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Ethnicity.
Title 'Uzbek'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HC1B = 1).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if (wage  = 3  or  wage  = 4).
compute Ethnicity = 1.

aggregate outfile = 'tmp.sav'
  /break Ethnicity
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Ethnicity.
Title 'Russian'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HC1B = 2).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if (wage  = 3  or  wage  = 4).
compute Ethnicity = 2.

aggregate outfile = 'tmp.sav'
  /break Ethnicity
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Ethnicity.
Title 'Karakalpak'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HC1B = 3).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if (wage  = 3  or  wage  = 4).
compute Ethnicity = 3.

aggregate outfile = 'tmp.sav'
  /break Ethnicity
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Ethnicity.
Title 'Tajik'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).
compute filter_$ =  (HC1B = 4).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if (wage  = 3  or  wage  = 4).
compute Ethnicity = 4.

aggregate outfile = 'tmp.sav'
  /break Ethnicity
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Ethnicity.
Title 'Kirgiz'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).
compute filter_$ =  (HC1B = 5).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if (wage  = 3  or  wage  = 4).
compute Ethnicity = 5.

aggregate outfile = 'tmp.sav'
  /break Ethnicity
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Ethnicity.
Title 'Other'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).
compute filter_$ =  (HC1B = 6).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if (wage  = 3  or  wage  = 4).
compute Ethnicity = 6.

aggregate outfile = 'tmp.sav'
  /break Ethnicity
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.


*----------------------------------------------------------------.
*Total.
Title 'Total'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if (wage  = 3  or  wage  = 4).
compute total = 1.

aggregate outfile = 'tmp.sav'
  /break total
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.

*----------------------------------------------------------------.

variable label imr 'Infant Mortality Rate*'.
variable label u5mr 'Under-five Mortality Rate**'.
variable label sex 'Sex'.
variable label hh7 'Region'.
variable label hh6 'Area'.
variable label melevel "Mother's education".
variable label Wlthind5 'Wealth index quintiles'.
variable label ethnicity "Ethnicity"
variable label total 'Total'.

value label sex 1 'Male' 2 'Female'.
value label hh7 1 'Western ' 2 'Central ' 3 'Southern ' 4 'Central-Eastern ' 5 'Eastern ' 6 'Tashkent city '. 
value label hh6 1 'Urban' 2 'Rural'.
value label wlthind5 1 'Poorest' 2 'Second' 3 "Middle" 4 "Fourth" 5 "Richest".
value label melevel 3 'Incomplete Secondary' 4 'Complete Secondary' 5 'Secondary special' 6 'Higher education'.
value label ethnicity 1 'Uzbek' 2 'Russian' 3 'Karakalpak' 4 'Tajik' 5 'Kirgiz' 6 'Other'.
value label total 1 'Total'.

Compute imrm = imr*1000.
Compute u5mrm = u5mr*1000.
variable label imrm 'Infant Mortality Rate*'.
variable label u5mrm "Under-five Mortality Rate**".

 table
  /observation = imrm u5mrm
  /table= sex +hh7+ hh6 +melevel+wlthind5+ethnicity+total  by imrm + u5mrm
  /statistics
    mean( imrm( F7.0 )'')
    mean( u5mrm( F7.0 ) '')
  /title
   "Table CM.1: Early child mortality" 
             "Infant and under-five mortality rates  [BASED ON EAST], Uzbekistan, 2006"
/caption
       "* MICS indicator 2; MDG indicator 14" "** MICS indicator 1; MDG indicator13".

new file.
erase file='tmp.sav'.
erase file='tmp2.sav'.
erase file='tmpcmr.sav'.
erase file='tmpresult.sav'.
