* Runs mortality for each background characteristic.


*----------------------------------------------------------------.
*Wealth index quintiles.
Title 'Poorest 60 %'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (Wlthind5 <= 3).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if (wage  = 3  or  wage  = 4).
compute Wlthind5 = 1.

aggregate outfile = 'tmp.sav'
  /break Wlthind5
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Wealth index quintiles.
Title 'Richest 40 %'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (Wlthind5 >= 4).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if (wage  = 3  or  wage  = 4).
compute Wlthind5 = 5.

aggregate outfile = 'tmp.sav'
  /break Wlthind5
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Total.
Title 'Total'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if (wage  = 3  or  wage  = 4).
compute total = 1.

aggregate outfile = 'tmp.sav'
  /break total
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.

*----------------------------------------------------------------.

variable label imr 'Infant Mortality Rate*'.
variable label u5mr 'Under-five Mortality Rate**'.
variable label Wlthind5 'Wealth index quintiles'.
variable label total 'Total'.

value label wlthind5 1 'Poorest 60 %'  5 "Richest 40 %".
value label total 1 'Total'.

Compute imrm = imr*1000.
Compute u5mrm = u5mr*1000.
variable label imrm 'Infant Mortality Rate*'.
variable label u5mrm "Under-five Mortality Rate**".

 table
  /observation = imrm u5mrm
  /table= wlthind5+total  by imrm + u5mrm
  /statistics
    mean( imrm( F7.0 )'')
    mean( u5mrm( F7.0 ) '')
  /title
   "Table CM.1: Early child mortality" 
             "Infant and under-five mortality rates  [BASED ON EAST], Uzbekistan, 2006"
/caption
       "* MICS indicator 2; MDG indicator 14" "** MICS indicator 1; MDG indicator13".

new file.
erase file='tmp.sav'.
erase file='tmp2.sav'.
erase file='tmpcmr.sav'.
erase file='tmpresult.sav'.
