
get file = 'ch.sav'.

include file = "04 - chrecvac.sps".

select if (UF9 = 1).

weight by chweight.

select if (cage >= 15 and cage <= 26).


compute total = 1.
variable label total "Number of children".
value label total 1 "".

recode hepb1 (1,2 = 100) (3 = 0) into hepb1_r.
variable label hepb1_r "".

recode hepb2 (1,2 = 100) (3 = 0) into hepb2_r.
variable label hepb2_r "".

recode hepb3 (1,2 = 100) (3 = 0) into hepb3_r.
variable label hepb3_r "".

recode hasvcard (1 = 100) (2 = 0) into card_r.
variable label card_r "".

* For Uzbekistan: Collapsing "Kyrgiz",  nationality to "Other".
recode HC1B (5 = 6).

tables
  /format = zero
  /observation = hepb1_r hepb2_r hepb3_r card_r
  /ftotal = tot1 "Total"
  /table = HL4 + hh7 + Hh6 + melevel + wlthind5 + HC1B + tot1 by 
		hepb1_r + hepb2_r + hepb3_r + card_r
  /statistics
    mean(hepb1_r (f5.1) 'HepB1')
    mean(hepb2_r (f5.1) 'HepB2')
    mean(hepb3_r (f5.1) 'HepB3')
    mean(card_r (f5.1) 'Percent with health card')
    validn(card_r (f5.0) 'Number of children aged 15-26 months')
  /title
    "Table CH.2c: Vaccinations iby background characteristics (continued)"
		"Percentage of children aged 15-26 months currently vaccinated against "+
		"childhood diseases, Uzbekistan, 2006".

new file.
