get file = 'hh.sav'.

select if (hh9 = 1).

* select those in urban area; add capital city if it is not all urban.
select if (HH6 = 1).

weight by hhweight.

compute total = 1.
value label total 1 "".
variable label total "Number of housholds".

recode HC3 (11 thru 16 = 100) (else = 0) into fnatural.
variable label fnatural "Dwelling has natural floor material".

compute npersr = trunc(HH11/HC2).
variable label npersr "Number of persons per sleeping  room".

compute over3 = 0.
if (npersr >= 4) over3 = 100.
variable label over3 "Over-crowding: more than three persons per sleeping room".

compute limprov = 100.
if (WS1 = 11 or  WS1 = 12 or WS1 = 13 or WS1 = 21 or WS1 = 31 or WS1 = 41 or 
  WS1 = 51) limprov = 0.
if ((WS2 = 11 or WS2 = 12 or WS2 = 13 or WS2 = 21 or WS2 = 31 or WS2 = 41 or 
  WS2 = 51) and WS1 = 91) limprov = 0. 
variable label limprov "Lack of use of improved water source".

recode WS7 (11,12,13,21,22,31 = 0) (else = 100) into lsanit.
variable label lsanit "Lack of use of improved sanitation".

compute nhslum = 0.
if ( over3 = 100 or limprov = 100 or lsanit = 100) nhslum = 100.
variable label nhslum "Percent of households considered to be living in slum housing".

if (nhslum = 100) totals = 1.
variable label totals "Number of households living in slum housing".

compute pop = 0.
if (nhslum = 100) pop = HH11.
variable label pop "Number of household members considered to be living in slum housing".

aggregate outfile = 'tmp1.sav'
  /break    = helevel
  /over3p   = means(over3)
  /limprove = means(limprov)
  /lsanitat = means(lsanit)
  /hslum    = means(nhslum)
  /stotal   = sum(total)
  /spop     = sum(pop)
  /shh11    = sum(hh11).

aggregate outfile = 'tmp2.sav'
  /break    = wlthind5
  /over3p   = means(over3)
  /limprove = means(limprov)
  /lsanitat = means(lsanit)
  /hslum    = means(nhslum)
  /stotal   = sum(total)
  /spop     = sum(pop)
  /shh11    = sum(hh11).

aggregate outfile = 'tmp3.sav'
  /break    = HC1B
  /over3p   = means(over3)
  /limprove = means(limprov)
  /lsanitat = means(lsanit)
  /hslum    = means(nhslum)
  /stotal   = sum(total)
  /spop     = sum(pop)
  /shh11    = sum(hh11).
*------------.
aggregate outfile = 'tmp4.sav'
  /break    = HH7
  /over3p   = means(over3)
  /limprove = means(limprov)
  /lsanitat = means(lsanit)
  /hslum    = means(nhslum)
  /stotal   = sum(total)
  /spop     = sum(pop)
  /shh11    = sum(hh11).
*----------.
aggregate outfile = 'tmp6.sav'
  /break    = total
  /over3p   = means(over3)
  /limprove = means(limprov)
  /lsanitat = means(lsanit)
  /hslum    = means(nhslum)
  /stotal   = sum(total)
  /spop     = sum(pop)
  /shh11    = sum(hh11).

get file = 'tmp1.sav'.

add files
  /file = *
  /file = 'tmp2.sav'
  /file = 'tmp3.sav'
  /file = 'tmp4.sav'
  /file = 'tmp6.sav'.

* variable label ndurable  "Dwelling considered non durable".
*variable label lsecure "Lack of security of tenure".
variable label over3p "Over crowding more than three persons per sleeping room".
variable label limprove "Lack of use of improved water source".
variable label lsanitat "Lack of use of improved sanitation".
variable label hslum "Percent of households considered to be living in slum housing *".
variable label stotal "Number of households".
variable label spop "Number of household members living in dwelling considered non-durable".
variable label shh11 "Number of household members".

compute percent = (spop/shh11)*100.
variable label percent "Percent of households members considered to be living in slum housing".

* For Uzbekistan: Collapsing "Kyrgiz"  nationality to "Other".
recode HC1B (5 = 6).

tables
  /format = zero
  /observation = over3p limprove lsanitat hslum stotal percent
	  shh11
  /ftotal = total "Total" 
  /table =  HH7 + helevel + wlthind5 + HC1B + total by 
	  over3p + limprove + lsanitat + hslum + stotal + 
		percent + shh11
  /statistics
    mean(over3p (f5.1) '')
    mean(limprove (f5.1) '')
    mean(lsanitat (f5.1) '')
    mean(hslum (f5.1) '')
    sum(stotal (f5.0) '')
    mean(percent (f5.1) '')
    sum(shh11 (f5.0) '')
  /title
    "Table EN.10: Slum housing"
		"Percentage of households and household members in urban areas (or capital city) "+
                        "that are considered as living in slum housing,  by background characterictics, Uzbekistan, 2006"
  /caption
    "*MICS Indicator 95; MDG Indicator 32".

new file.
erase file = 'tmp1.sav'.
erase file = 'tmp2.sav'.
erase file = 'tmp3.sav'.
erase file = 'tmp4.sav'.
erase file = 'tmp6.sav'.