get file = 'hl.sav'.

weight by hhweight.

* select children who are of secondary school age; this definition is
* country-specific and should be changed to reflect the situation in your
* country.
* In Uzbekistan survey was conducted in March-May. 
* Children 12-17 were considered eligible for the secondary school.
* Children born during September-March were 11-16 at the beginning of the school year.

select if (HL5 >= 12 and HL5 <= 17).

compute second  = 0.
if (ED6A >= 2 and ED6A <= 4) second =  100.
variable label second "".

variable label HL4 "".

* For Uzbekistan: Collapsing "Kyrgiz"  nationality to "Other".
recode HC1B (5 = 6).

tables
  /format = zero
  /observation = second
  /ftotal = tot1 "Total"
  /tables = HH7 + HH6 + HL5 + melevel + wlthind5 + HC1B + tot1 by 
	  HL4 > second + tot1
  /statistics
    mean(second (f5.1) 'Net attendance ratio')
    validn(second (f5.0) 'Number of children')
  /title
    "Table ED.4: Secondary school net attendance ratio"
		"Percentage of children of secondary school age attending secondary or higher "+
		"school (NAR),  Uzbekistan, 2006"
  /caption
    "* MICS indicator 56".

new file.
