* open the household listing data file.
get file = 'hl.sav'.

* keep heads of household only.
select if (HL3 = 1).

* sort the cases by cluster number, household number and line number.
sort cases by HH1 HH2 HL1.

* education level.
if ED3A = 6 OR ED3A = 8 OR ED3A = 9 helevel = 9.
if ED2 = 2 or ED3A = 0 helevel = 1.
if ED3A = 1 helevel = 2.
if ED3A = 2 and ED3B <= 9 helevel = 3.
if ED3A = 2 and ED3B >= 10 helevel = 4.
if ED3A = 3 helevel = 5.
if ED3A = 4 helevel = 6.

variable label helevel "Education of household head".
value label helevel
  1 "None"
  2 "Primary"
  3 "Incomplete Secondary"
  4 "Complete Secondary"
  5 "Secondary special"
  6 "Higher education"
  9 "Non-standard/Missing/DK".


* For Uzbekistan:Collapsing education level "None" with "Primary" and "Non-standard/Missing/DK".
recode helevel (1,2 = 9).
value label helevel
  3 "Incomplete Secondary"
  4 "Complete Secondary"
  5 "Secondary special"
  6 "Higher education"
  9 "None/Primary/Non-standard/Missing/DK".

* sex of household head.
recode HL4 (1,2 = copy) (else = 9) into hhsex.
variable label hhsex "Sex of household head".
value label hhsex
  1 "Male"
  2 "Female"
  9 "Missing/DK".

* save a data file of household heads with IDs and education as only vars.
save outfile = 'tmp1.sav'
  /keep HH1 HH2 helevel hhsex.

* open the household data file.
get file = 'hh.sav'.

* sort the cases by cluster number and household number.
sort cases by HH1 HH2.

* merge the household head file onto the household file.
match files
  /file = *
  /table = 'tmp1.sav'
  /by HH1 HH2 .

* resort the cases by cluster number and household number.
sort cases by HH1 HH2.

* save household data, which now contains the education of household head.
save outfile = 'hh.sav'.

* erase the working file.
erase file = 'tmp1.sav'.
