compute total = 1.
compute total1 = 1.
value label total1 1 'Total'.

aggregate outfile = 'tmp.sav'
  /break wage
  /totceb = sum(ceb)
  /totdead = sum(deadkids)
  /women = sum(total).

aggregate outfile = 'tmp2.sav'
  /break total1
  /totceb = sum(ceb)
  /totdead = sum(deadkids)
  /women = sum(total).

* QFIVE related.
* Set mean age of maternity .
compute meanage = 27.
* Set survey year.
compute syear = 2006.
* Set survey month.
compute smonth = 4.
aggregate outfile = 'tmpcmr.sav'
  /break wage
  /ceb = sum(ceb)
  /deadkids = sum(deadkids)
  /numwomen = n(total)
  /meanage = mean(meanage)
  /syear = mean(syear)
  /smonth = mean(smonth)
  /sex = mean(qfivesex ).

get file = 'tmp.sav'.

add files
  /file = *
  /file = 'tmp2.sav'.

compute meanceb = totceb/women.

*--------------------------------
*compute propdead = totdead/totceb.
if totceb > 0 propdead = totdead/totceb.
if totceb = 0 propdead = 0.

table
  /observation = meanceb propdead women
  /table = wage + total1 by meanceb + propdead + women
  /statistics
    mean(meanceb (f5.3) 'Mean number of CEB')
    mean(propdead (f5.3) 'Proportion dead')
    mean(women (f5.0) 'Number of women')
  /title
    "Table CM.1a: Children ever born and proportion dead " " Mean number of children ever born and proportion dead by age of women, Country, Year".

* QFIVE related.
get file = 'tmpcmr.sav'.
include file = 'qfive.sps'.
table
  /observation = mceb propcd age qino tstarno qiso tstarso qiea tstarea qiwe tstarwe
  /table=wage  by mceb + propcd + age + qino + tstarno + qiso + tstarso + qiea + tstarea + qiwe + tstarwe
  /statistics
    mean( mceb '')
    mean( propcd '')
    mean( age '')
    mean( qino '')
    mean( tstarno '')
    mean( qiso '')
    mean( tstarso '')
    mean( qiea '')
    mean( tstarea '')
    mean( qiwe '')
    mean( tstarwe '')
  /title
    'Coale-Demeny Models' '(Trussel equations)'.

table
  /observation = refdateno imrno refdateso imrso refdateea imrea refdatewe imrwe
  /table=wage  by refdateno + imrno + refdateso + imrso + refdateea + imrea + refdatewe + imrwe
  /statistics
    mean( refdateno '')
    mean( imrno '')
    mean( refdateso '')
    mean( imrso '')
    mean( refdateea '')
    mean( imrea '')
    mean( refdatewe '')
    mean( imrwe '')
  /title
    'Infant Mortality Rate'.

table
  /observation = refdateno u5mrno refdateso u5mrso refdateea u5mrea refdatewe u5mrwe
  /table=wage  by refdateno + u5mrno + refdateso + u5mrso + refdateea + u5mrea + refdatewe + u5mrwe
  /statistics
    mean( refdateno '')
    mean( u5mrno '')
    mean( refdateso '')
    mean( u5mrso '')
    mean( refdateea '')
    mean( u5mrea '')
    mean( refdatewe '')
    mean( u5mrwe '')
  /title
    'Under-five Mortality Rate'.

